Bug 1675020 - golang-github-golang-image: FTBFS in Fedora rawhide/f30
Summary: golang-github-golang-image: FTBFS in Fedora rawhide/f30
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-github-golang-image
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Athos Ribeiro
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1680040
Blocks: F30FTBFS
TreeView+ depends on / blocked
 
Reported: 2019-02-11 18:34 UTC by Fedora Release Engineering
Modified: 2019-04-27 21:24 UTC (History)
3 users (show)

Fixed In Version: golang-github-golang-image-0-0.7.20190413git3fc05d4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-27 21:24:23 UTC


Attachments (Terms of Use)
build.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
root.log (1.00 KB, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details
state.log (769 bytes, text/plain)
2019-02-11 18:34 UTC, Fedora Release Engineering
no flags Details

Description Fedora Release Engineering 2019-02-11 18:34:46 UTC
golang-github-golang-image failed to build from source in Fedora rawhide/f30

https://koji.fedoraproject.org/koji/taskinfo?taskID=32395475


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
Please fix golang-github-golang-image at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
golang-github-golang-image will be orphaned. Before branching of Fedora 31,
golang-github-golang-image will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2019-02-11 18:34:49 UTC
Created attachment 1530275 [details]
build.log

file build.log too big, will only attach last 1024 bytes

Comment 2 Fedora Release Engineering 2019-02-11 18:34:50 UTC
Created attachment 1530276 [details]
root.log

file root.log too big, will only attach last 1024 bytes

Comment 3 Fedora Release Engineering 2019-02-11 18:34:51 UTC
Created attachment 1530277 [details]
state.log

Comment 4 Jakub Čajka 2019-02-13 12:22:54 UTC
Caused by crash in tests on ppc64le:
+ go test -buildmode pie -compiler gc -ldflags ' -extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\''' golang.org/x/image/font/sfnt
unexpected fault address 0x147b90bd
fatal error: fault
[signal SIGSEGV: segmentation violation code=0x1 addr=0x147b90bd pc=0x10f9391c8]
goroutine 1 [running, locked to thread]:
runtime.throw(0x10fa5a2c2, 0x5)
	/usr/lib/golang/src/runtime/panic.go:617 +0x68 fp=0xc0000bcd48 sp=0xc0000bcd08 pc=0x10f95bdb8
runtime.sigpanic()
	/usr/lib/golang/src/runtime/signal_unix.go:397 +0x464 fp=0xc0000bcd88 sp=0xc0000bcd48 pc=0x10f972b04
runtime.newobject(0x147b90bd, 0x0)
	/usr/lib/golang/src/runtime/malloc.go:1068 +0x38 fp=0xc0000bcde8 sp=0xc0000bcda8 pc=0x10f9391c8
runtime.makemap_small(0x538000000a0)
	/usr/lib/golang/src/runtime/map.go:295 +0x44 fp=0xc0000bce18 sp=0xc0000bcde8 pc=0x10f939fa4
golang.org/x/image/font/sfnt.init()
	/builddir/build/BUILDROOT/golang-github-golang-image-0-0.5.20170514.git426cfd8.fc30.ppc64le/usr/share/gocode/src/golang.org/x/image/font/sfnt/proprietary_test.go:579 +0x8ea0 fp=0xc0000bff48 sp=0xc0000bce18 pc=0x10fa4ec20
main.init()
	<autogenerated>:1 +0x80 fp=0xc0000bff68 sp=0xc0000bff48 pc=0x10fa59010
runtime.main()
	/usr/lib/golang/src/runtime/proc.go:188 +0x224 fp=0xc0000bffc0 sp=0xc0000bff68 pc=0x10f95d924
runtime.goexit()
	/usr/lib/golang/src/runtime/asm_ppc64x.s:856 +0x4 fp=0xc0000bffc0 sp=0xc0000bffc0 pc=0x10f98ca84
FAIL	golang.org/x/image/font/sfnt	0.004s
and by tests failure on aarch64:
+ go test -buildmode pie -compiler gc -ldflags ' -extldflags '\''-Wl,-z,relro -Wl,--as-needed  -Wl,-z,now -specs=/usr/lib/rpm/redhat/redhat-hardened-ld '\''' golang.org/x/image/vector
--- FAIL: TestMakeFlInXxx (0.00s)
    acc_test.go:473: height 16: got:
        0, 0, -0.022306755, -0.3782405, -0.33334962, -0.1741521, -0.0607556, 0.11660573, 
        0.14664596, 0.41462868, 0.2907673, 0.0001568835, 0, 0, -0.14239307, -0.7012868, 
        -0.15632017, 0, 0, 0, 0, 0, 0, 0.32303032, 
        0.6690931, 0.007876594, -0.05189419, -0.832786, -0.11531975, 0.026225798, 0.42518616, 0.3154636, 
        0.06598757, -0.15304242, -0.47969276, -0.20012793, 0, 0.5327272, 0.46727282, -0.45950258, 
        -0.5404974, 0, 0.63484025, 0.36515972, 0, 0, 0, -0.04351709, 
        -0.82933456, -0.12714837, 0.11087036, 0.88912964, -0.35792422, -0.2053554, 0.0022512944, 0.53743976, 
        0.023588562, 0, 0, 0, 0, -0.55346966, -0.44653034, 0.0002531938, 
        0.9088273, 0.090919495, 0, 0, 0, 0, 0, 0, 
        0, 0, -0.44745448, -0.5525455, 0, 0.80748945, 0.19251058, 0, 
        0, -0.092476256, -0.2661464, -0.11322958, -0.11298219, -0.055094406, 0, -0.16045958, 
        -0.1996116, 0, 0.80748653, 0.19251347, -0.09804728, -0.51129663, -0.3610403, -0.029615778, 
        0, 0, 0, 0, 0, 0, 0, 0.80748653, 
        0.14411622, -0.76251525, -0.1890875, 0.01527351, 0.27528667, 0.29730347, 0.101477206, 0.07259521, 
        0.009900213, -0.34395567, -0.42788061, 0, 0.80748653, -0.3648737, -0.4426128, 0.015778137, 
        0.6826565, 0.30156538, 0, 0, 0, 0, -0.44563293, -0.55436707, 
        0, 0.80748653, -0.60703933, -0.20044717, 0.22371745, 0.77628255, 0, 0, 
        0, 0, 0, -0.44563293, -0.55436707, 0, 0.80748653, -0.75503904, 
        -0.05244744, 0.27970737, 0.7202926, 0, 0, 0, 0, 0, 
        -0.57440215, -0.42559785, 0, 0.80748653, -0.59273535, -0.21475118, 0.045448624, 0.8114854, 
        0.14306602, 0, 0, 0, -0.369642, -0.6184122, -0.011945802, 0, 
        0.7791623, -0.20691396, -0.57224834, 0, 0.08218568, 0.42637306, 0.1586175, -0.08970957, 
        -0.32935485, -0.24788953, -0.00022224105, 0, 0, 0.7085409, 0.2882107, -0.6476579, 
        -0.34909374, 0, 0, 0, 0, 0, 0.16679136, 0.31914645, 
        -0.48593786, 0, 0.53791493, 0.462085, -0.00041967133, -0.3120329, -0.41914812, -0.15886839, 
        -0.042683024, 0.19370951, 0.24624406, 0.45803425, -0.070495784, -0.6091341, 0, 0.22253075, 
        want:
        0, 0, -0.022306755, -0.3782405, -0.33334962, -0.1741521, -0.0607556, 0.11660573, 
        0.14664596, 0.41462868, 0.2907673, 0.0001568835, 0, 0, -0.14239307, -0.7012868, 
        -0.15632017, 0, 0, 0, 0, 0, 0, 0.3230303, 
        0.6690931, 0.007876594, -0.05189419, -0.832786, -0.11531975, 0.026225802, 0.42518616, 0.3154636, 
        0.06598757, -0.15304244, -0.47969276, -0.20012794, 0, 0.5327272, 0.46727282, -0.45950258, 
        -0.5404974, 0, 0.63484025, 0.36515975, 0, 0, 0, -0.04351709, 
        -0.8293345, -0.12714837, 0.11087036, 0.88912964, -0.35792422, -0.2053554, 0.0022513224, 0.5374398, 
        0.023588525, 0, 0, 0, 0, -0.55346966, -0.44653034, 0.0002531938, 
        0.9088273, 0.090919495, 0, 0, 0, 0, 0, 0, 
        0, 0, -0.44745448, -0.5525455, 0, 0.80748945, 0.19251058, 0, 
        0, -0.092476256, -0.2661464, -0.11322958, -0.11298219, -0.055094406, 0, -0.16045958, 
        -0.1996116, 0, 0.80748653, 0.19251347, -0.09804727, -0.51129663, -0.3610403, -0.029615778, 
        0, 0, 0, 0, 0, 0, 0, 0.80748653, 
        0.14411622, -0.76251525, -0.1890875, 0.01527351, 0.27528667, 0.29730347, 0.101477206, 0.07259522, 
        0.009900213, -0.34395567, -0.42788061, 0, 0.80748653, -0.3648737, -0.44261283, 0.015778137, 
        0.6826565, 0.30156538, 0, 0, 0, 0, -0.44563293, -0.55436707, 
        0, 0.80748653, -0.60703933, -0.20044717, 0.22371745, 0.77628255, 0, 0, 
        0, 0, 0, -0.44563293, -0.55436707, 0, 0.80748653, -0.7550391, 
        -0.05244744, 0.2797074, 0.72029257, 0, 0, 0, 0, 0, 
        -0.57440215, -0.42559785, 0, 0.80748653, -0.59273535, -0.21475118, 0.04544862, 0.81148535, 
        0.14306602, 0, 0, 0, -0.369642, -0.61841226, -0.011945802, 0, 
        0.7791623, -0.20691396, -0.57224834, 0, 0.08218567, 0.42637306, 0.1586175, -0.089709565, 
        -0.32935485, -0.24788953, -0.00022224105, 0, 0, 0.7085409, 0.28821066, -0.64765793, 
        -0.34909368, 0, 0, 0, 0, 0, 0.16679136, 0.31914657, 
        -0.48593786, 0, 0.537915, 0.462085, -0.00041967133, -0.3120329, -0.41914812, -0.15886839, 
        -0.042683028, 0.19370951, 0.24624406, 0.45803425, -0.07049577, -0.6091341, 0, 0.22253075, 
FAIL
FAIL	golang.org/x/image/vector	0.047s

Comment 5 Jakub Čajka 2019-02-28 12:08:35 UTC
For the record the issue on ppc64le has been resolved with the BZ#1680040.
https://koji.fedoraproject.org/koji/taskinfo?taskID=33102398

Comment 6 Fedora Update System 2019-04-13 20:42:19 UTC
golang-github-golang-image-0-0.7.20190413git3fc05d4.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-3f05f0b493

Comment 7 Fedora Update System 2019-04-14 20:06:04 UTC
golang-github-golang-image-0-0.7.20190413git3fc05d4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-3f05f0b493

Comment 8 Fedora Update System 2019-04-27 21:24:23 UTC
golang-github-golang-image-0-0.7.20190413git3fc05d4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.